{{- $url := .Get "url" -}}
{{- $poster := .Get "poster" -}}
{{- $class := .Get "class" -}}
{{- $title := .Get "title" | default "Video" }}
<div style="position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden; margin-top: 3em; margin-bottom: 3em;">
    <link href="https://vjs.zencdn.net/7.11.4/video-js.css" rel="stylesheet" />
    <link href="https://unpkg.com/@videojs/themes@1/dist/fantasy/index.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/videojs-seek-buttons/dist/videojs-seek-buttons.css">
    <video
        style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; border:0;"
        id="my_video_1"
        class="video-js vjs-theme-fantasy"
        controls
        preload="metadata"
        width="100%"
        height="auto"
        data-setup='{"playbackRates": [1, 1.25, 1.5, 2]}'
        >
          <source src="{{ $url }}#t=0.1" type="video/mp4" />
          <p class="vjs-no-js">
            To view this video please enable JavaScript, and consider upgrading to a
            web browser that
            <a href="https://videojs.com/html5-video-support/" target="_blank"
              >supports HTML5 video</a
            >
          </p>
    </video>
    <script src="https://vjs.zencdn.net/7.11.4/video.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/videojs-seek-buttons/dist/videojs-seek-buttons.min.js"></script>
    <script>
      var player = videojs('my_video_1');
      player.seekButtons({
        forward: 10,
        back: 10
      });
    </script>
</div>
